ol(1)

NAME
ovm - Owl Lisp virtual machine

SYNOPSIS
ovm heapimage [arg]...

DESCRIPTION
Owl Lisp is a purely functional Lisp based on a subset of R7RS Scheme. Ovm can be used to run precompiled bytecode images of programs.

OPTIONS
Ovm needs only one argument, which is the heap image, and the rest of the arguments are passed over to the program.

EXAMPLES
 $ echo '(lambda (args) (print args) 0)' | ol -o demo.fasl
 $ ovm demo.fasl 11 22 33
 (demo.fasl 11 22 33)
 $ (echo '#!/usr/bin/ovm'; cat demo.fasl) > demo
 $ chmod +x demo
 $ ./demo 11 22 33
 (./demo 11 22 33)
 $ echo $?
 0

SEE ALSO
ol(1),gcc(1)

AUTHOR
Owl Lisp and this manual page were written by Aki Helin <aki.helin@iki.fi>.